#!/bin/bash

#ERRORS="$(cat validate_output.txt | grep -i "errors" | sed -n 's/.*\([0-9]\+\) errors.*/\1/p')"
#cat validate_output.txt | grep "Number of errors"
#WARNINGS="$(cat validate_output.txt | grep -i "warnings" | sed -rn 's/(^|(.* ))([^ ]*) warnings(( .*)|$)/\3/; T; p; q')"

# Info: Document content looks like HTML5
# No warnings or errors were found.

# About HTML Tidy: https://github.com/htacg/tidy-html5
# Bug reports and comments: https://github.com/htacg/tidy-html5/issues
# Official mailing list: https://lists.w3.org/Archives/Public/public-htacg/
# Latest HTML specification: http://dev.w3.org/html5/spec-author-view/
# Validate your HTML documents: http://validator.w3.org/nu/
# Lobby your company to join the W3C: http://www.w3.org/Consortium

# Do you speak a language other than English, or a different variant of 
# English? Consider helping us to localize HTML Tidy. For details please see 
# https://github.com/htacg/tidy-html5/blob/master/README/LOCALIZE.md

WARNINGS="$(cat validate_output.txt | grep -i "No warnings or errors were found" )"

if [ "$WARNINGS" = "No warnings or errors were found." ]; then
    exit 0
else
    exit 1
fi